aboutsummaryrefslogtreecommitdiff
path: root/ci/test/06_script_b.sh
diff options
context:
space:
mode:
authorMarcoFalke <falke.marco@gmail.com>2019-10-17 10:35:47 -0400
committerMarcoFalke <falke.marco@gmail.com>2019-10-17 10:37:09 -0400
commitec3ed5a4487886f1c2a35fda0a3289be7b280248 (patch)
treec1046a7ffbde2282b040e82d97063438d5140d25 /ci/test/06_script_b.sh
parent048e456fc40821939e8becd2d53e0352d9451be2 (diff)
parent1f6c650c99eb94fdd0cbdd528aa3405201de08c2 (diff)
Merge #16597: Travis: run full test suite on native macOS
1f6c650c99eb94fdd0cbdd528aa3405201de08c2 travis: run tests on macOS native (Sjors Provoost) Pull request description: Adds an additional Travis machine to run the functional test suite on native macOS Homebrew is not particularly Travis compatible, but I found some useful hints here: https://discourse.brew.sh/t/best-practice-for-homebrew-on-travis-brew-update-is-5min-to-build-time/5215/11 ACKs for top commit: MarcoFalke: re-ACK 1f6c650c99eb94fdd0cbdd528aa3405201de08c2 Tree-SHA512: 3f19a1695fac53d4d6c2033a9c20be69294e3a798c84fd9bf6ae2aa7a6d92aa1dad1f62f4ee1ada9413fe7d05ee974050fa030fd2c547f33e0d5c0a3e74f64db
Diffstat (limited to 'ci/test/06_script_b.sh')
-rwxr-xr-xci/test/06_script_b.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/ci/test/06_script_b.sh b/ci/test/06_script_b.sh
index 1a5217277a..048fe06c84 100755
--- a/ci/test/06_script_b.sh
+++ b/ci/test/06_script_b.sh
@@ -6,7 +6,10 @@
export LC_ALL=C.UTF-8
+# Temporarily disable errexit, because Travis macOS fails without error message
+set +o errexit
cd "build/bitcoin-$HOST" || (echo "could not enter distdir build/bitcoin-$HOST"; exit 1)
+set -o errexit
if [ -n "$QEMU_USER_CMD" ]; then
BEGIN_FOLD wrap-qemu
@@ -46,4 +49,6 @@ if [ "$RUN_FUZZ_TESTS" = "true" ]; then
END_FOLD
fi
+set +o errexit
cd ${BASE_BUILD_DIR} || (echo "could not enter travis build dir $BASE_BUILD_DIR"; exit 1)
+set -o errexit